<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('supplier_notifiers', function (Blueprint $table) {
            $table->id();
            $table->foreignId('order_archive_id')->constrained()->onDelete('NO ACTION');
            $table->foreignId('supplier_id')->constrained()->onDelete('NO ACTION');
            $table->dateTime('need_send')->index();
            $table->dateTime('sent')->nullable()->index();
            $table->timestamps();

        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('supplier_notifiers');
    }
};
